document.querySelector("#addURL").addEventListener('click', async () => {
    let url = document.querySelector("#url").value;
    const urlResult = await chrome.storage.local.get('url')
    const urls = urlResult.url
    console.log(url);
    if (urls.length != 5) {
        console.log('push');
        if (url) {
            urls.push(url)
            chrome.storage.local.set({ url: urls })
            document.querySelector("#url").value = ''
            refreshURLList()
        } else {
            alert('Nem adtál meg egyetlen url-t sem.')
        }

    }
    else {
        alert('Már 5 url-t megadtál. Többet nem lehet megadni, de bármelyiket lecserélheted.')
    }


})

// Function to refresh the tag list
async function refreshURLList() {
    // Clear the output div
    const urlResult = await chrome.storage.local.get('url')
    const urls = urlResult.url
    document.querySelector("#urls").innerHTML = "";

    // Create a new unordered list element
    var urlList = document.createElement("div");

    // Loop through the tags array and create list items for each tag
    for (var i = 0; i < urls.length; i++) {
        var url = urls[i];
        // Create a new list item element
        var urlItem = document.createElement("div");
        urlItem.className = "url-item";

        // Create a new tag element
        var urlElement = document.createElement("span");
        urlElement.className = "url-element";
        urlElement.textContent = url;

        // Create a new delete button element


        var deleteButton = document.createElement("button");
        deleteButton.className = "close";
        deleteButton.ariaLabel = "Close";
        var spanElement = document.createElement("span");
        spanElement.setAttribute("aria-hidden", "true");
        spanElement.innerHTML = "&times";
        deleteButton.appendChild(spanElement);

        deleteButton.addEventListener("click", (function (url) {
            return function () {
                // Remove the tag from the array
                var index = urls.indexOf(url);
                if (index !== -1) {
                    urls.splice(index, 1);

                    chrome.storage.local.set({ url: urls })

                    // Refresh the tag list
                    refreshURLList()
                }
            };
        })(url));

        // Add the tag element and delete button element to the list item
        urlItem.appendChild(urlElement);
        urlItem.appendChild(deleteButton);

        // Add the list item to the tag list
        urlList.appendChild(urlItem);
    }

    // Add the tag list to the output div
    document.querySelector("#urls").appendChild(urlList);


}

refreshURLList()

